## autopilot 1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Autopilot.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Autopilot.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Autopilot"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Autopilot"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
autopilot (1.1) quantal; urgency=low

  * Release r64 as 1.1

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2012 11:26:01 +0200

autopilot (0.1.2) quantal; urgency=low

  * Update to trunk r63, fix compizconfig use (lp: #1038844)
  * Depends on python-qt4

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Aug 2012 14:52:30 +0200

autopilot (0.1.1) quantal; urgency=low

  * add python-setuptools build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Aug 2012 11:40:24 +0200

autopilot (0.1) quantal; urgency=low

  * Initial Release.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Aug 2012 10:03:58 +0200

=== debian/control ===
Source: autopilot
Section: python
Priority: optional
Maintainer: Thomi Richards <thomi.richards@canonical.com>
Build-Depends: debhelper (>= 9.0.0),
               python (>= 2.6),
               python-setuptools,
Standards-Version: 3.9.3
Homepage: https://launchpad.net/autopilot
Vcs-bzr: https://code.launchpad.net/+branch/ubuntu/autopilot

Package: python-autopilot
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-compizconfig,
         python-dbus,
         python-gconf,
         python-gobject,
         python-gtk2,
         python-ibus,
         python-junitxml,
         python-qt4,
         python-testscenarios,
         python-testtools,
         python-xdg,
         python-xlib,
         python-pydot,
         python-zeitgeist,
Description: Utility to write and run integration tests easily
 The autopilot engine enables to ease the writing of python tests
 for your application manipulating your inputs like the mouse and
 keyboard. It also provides a lot of utilities linked to the X server
 and detecting applications.

## autopilot 1.6.1+21.04.20210120

=== debian/changelog ===
autopilot (1.6.1+21.04.20210120-0ubuntu18) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:05:36 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu17) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:53:17 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu16) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 09:45:21 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu15) oracular; urgency=medium

  * No change rebuild to ensure noble SRU is earlier (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 02 Sep 2024 10:58:50 +0100

autopilot (1.6.1+21.04.20210120-0ubuntu14) noble; urgency=medium

  * Switch to dpkg source format 3.0 (quilt)
  * Fix test_launch_application_attempts_launch_uris_as_manager_first

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 15 Apr 2024 14:39:50 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu13) noble; urgency=medium

  * Change assertRaisesRegexp into assertRaisesRegex to fix a test failure
    due to deprecation warning

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 13:37:49 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu12) noble; urgency=medium

  * Update called_once_with in assert_called_once_with to fix a test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 12:51:13 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu11) noble; urgency=medium

  * Add python3-zombie-imp dependency, removed in Python3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 10:21:45 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu10) noble; urgency=high

  * No change rebuild against liblttng-ust1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:57:58 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu9) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 18:03:59 +0100

autopilot (1.6.1+21.04.20210120-0ubuntu8) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 12:32:37 -0500

autopilot (1.6.1+21.04.20210120-0ubuntu7) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 15:27:53 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:06:13 +0100

autopilot (1.6.1+21.04.20210120-0ubuntu5) jammy; urgency=medium

  * No-change rebuild against liblttng-ust1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Jan 2022 22:35:03 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu4) jammy; urgency=medium

  * No-change rebuild with fixed py3versions

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Nov 2021 08:24:48 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 13:33:15 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu1) hirsute; urgency=medium

  [ Iain Lane ]
  * debian/python3-autopilot.postinst: Allow udev trigger to fail. The rule
    might not be runnable, e.g. in unprivileged containers, but this should
    not be fatal to installation.

  [ Marco Trevisan (Treviño) ]
  * Bump revision to 1.6.1

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 20 Jan 2021 17:25:32 +0000

autopilot (1.6.0+17.04.20170313-0ubuntu13) hirsute; urgency=medium

  * Drop mir-utils dependency; these clients are no longer supported by Mir
    2.0. The codepaths that use them are inaccessible, as the archive's Mir no
    longer provides mirclient sockets, used for the mir XDG_SESSION_TYPE.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 04 Jan 2021 08:27:40 +1100

autopilot (1.6.0+17.04.20170313-0ubuntu12) hirsute; urgency=medium

  * Fix ftbfs with python3.9.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Dec 2020 17:42:06 +0000

autopilot (1.6.0+17.04.20170313-0ubuntu11) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:46:19 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu10) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 13:17:32 +0200

autopilot (1.6.0+17.04.20170313-0ubuntu9) groovy; urgency=medium

  * Drop upstart, click, ubuntu-app-launch support. All of those things
    are removed from the Ubuntu Archive.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Jun 2020 14:10:05 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu8) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:48 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu7) focal; urgency=medium

  * autopilot-vis has been removed, so removed test_vis_main which depends on
    python-windowmocker which required qt4. Drop the dependency on
    python-windowmocker.
  * Updated Vcs

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Sun, 09 Feb 2020 09:31:00 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu6) focal; urgency=medium

  * Drop dvipng build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 04:19:11 +0000

autopilot (1.6.0+17.04.20170313-0ubuntu5) focal; urgency=medium

  * Drop autopilot-qt dependencies, as qt4 is going away and autopilot-qt
    ftbfs against new qt5 but is also unused.
  * Drop building documentation sphinx errors.
  * Tweak test-suite assertions.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 03:42:25 +0000

autopilot (1.6.0+17.04.20170313-0ubuntu3) artful; urgency=medium



=== debian/control ===
Source: autopilot
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomi Richards <thomi.richards@canonical.com>
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               gir1.2-gtk-3.0,
               gir1.2-ibus-1.0,
               graphviz,
               libjs-jquery,
               libjs-underscore,
               liblttng-ust-dev,
               python3-all-dev (>= 3.4),
               python3-dateutil,
               python3-dbus,
               python3-decorator,
               python3-evdev,
               python3-fixtures,
               python3-flake8,
               python3-gi,
               python3-junitxml,
               python3-pil,
               python3-psutil,
               python3-setuptools,
               python3-subunit,
               python3-systemd,
               python3-testscenarios,
               python3-testtools,
               python3-tz,
               python3-xlib (>=0.14+20091101-1ubuntu3),
               python3-zombie-imp,
               texlive-latex-extra,
Standards-Version: 3.9.5
Homepage: https://launchpad.net/autopilot
Vcs-Git: https://code.launchpad.net/autopilot/+git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python3-autopilot
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         python3-dateutil,
         python3-dbus,
         python3-decorator,
         python3-evdev,
         python3-fixtures,
         python3-gi,
         python3-junitxml,
         python3-pil,
         python3-psutil,
         python3-subunit,
         python3-systemd,
         python3-testscenarios,
         python3-testtools,
         python3-tz,
         udev,
         ${misc:Depends},
         ${python3:Depends},
Recommends: gir1.2-glib-2.0,
            gir1.2-gtk-3.0,
            gir1.2-ibus-1.0,
            libautopilot-gtk (>= 1.4),
            python3-autopilot-trace,
            python3-xlib (>=0.14+20091101-1ubuntu3),
            recordmydesktop,
            ubuntu-keyboard-data,
Breaks: libautopilot-gtk (<< 1.4),
        libautopilot-qt (<< 1.4),
Description: Utility to write and run integration tests easily (Python 3)
 The autopilot engine enables to ease the writing of python tests
 for your application manipulating your inputs like the mouse and
 keyboard. It also provides a lot of utilities linked to the X server
 and detecting applications.

Package: python3-autopilot-trace
Architecture: any
Depends: python3-autopilot,
         ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for tracing in autopilot (Python 3)
 This package contains the binary lttng trace point for tracing
 autopilot tests. This is useful when using autopilot to exercise
 an instrumented application.

Package: autopilot-desktop
Architecture: all
Section: metapackages
Depends: at-spi2-core,
         bamfdaemon,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-autopilot,
         python3-xlib (>=0.14+20091101-1ubuntu3),
         ${misc:Depends},
Recommends: python3-evdev,
Description: Autopilot support for the ubuntu Desktop platform
 This metapackage exists to depend on the packages needed to install and use
 autopilot on the Ubuntu Desktop platform.

Package: python3-autopilot-tests
Architecture: all
Depends: libautopilot-gtk (>= 1.4),
         python3-autopilot,
         python3-dateutil,
         python3-evdev,
         recordmydesktop,
         ${misc:Depends},
         ${python3:Depends},
Description: Tests for the autopilot functional test tool. (Python 3)
 This package contains tests for the python3-autopilot package.
 You can use this package to verify that autopilot is functioning
 correctly, or to copy the techniques used in the autopilot tests
 themselves.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	HOME=`mktemp -d --tmpdir=debian` \
	XDG_RUNTIME_DIR=`mktemp -d --tmpdir=debian` \
	python3 -m testtools.run discover autopilot.tests.unit
endif

## autopilot 1.21

=== Makefile ===
CC	= gcc
LD	= gcc

# for debug
#CFLAGS	= -Wall -g
#LDFLAGS = -N

PALMDEVICE="/dev/palm"
# allow maintainers to customize the device name

# for production code
CFLAGS	= -Wall -O3 -fomit-frame-pointer

autopilot:	autopilot.o
	$(LD) $(LDFLAGS) -o autopilot autopilot.o

autopilot.o: autopilot.c
	$(CC) $(CFLAGS) -c autopilot.c -DPALMDEVICE=\"$(PALMDEVICE)\"

install: autopilot
	install -m 555 autopilot /usr/local/bin/autopilot
	install -m 444 autopilot.1 /usr/local/man/man1/autopilot.1

clean:
	$(RM) autopilot autopilot.o core *~

dist:	autopilot.c Makefile autopilot.1 README
	$(RM) autopilot autopilot.o core autopilot-1.0.tar.gz *~
	cd .. ; tar -czvf autopilot-1.0.tar.gz autopilot-1.0

## autopilot tools-0.6.0

=== requirements.txt ===
matplotlib
pytest
pyyaml
pyserial
pymavlink
tqdm
argparse
requests
numpy
six
StrEnum
